
#
#  Cours Introduction à l'économétrie: Application R
#  Yeganeh Forouheshfar
#
#  sujet: Les bases
#------------------------------

pacman::p_load(pacman, caret, lars, tidyverse, rio, psych, GGally,arm, AER)



 data("CPS1988", package = "AER")
 dim(CPS1988)
 
 summary(CPS1988)
 describe(CPS1988)

 
 
 attach(CPS1988)
 
 ethnicityfreq <- table(ethnicity)
 barchart (ethnicityfreq)
 
 
 

 
 hist(experience)
 
 

 # t-test to see whether the mean of wage is statistically different for african Americans or not 
 t.test(wage ~ ethnicity)
 
 
 CPS1988 %>%  
   ggplot(aes(x=education, y=wage , col=parttime))+ geom_point()
 
 
 CPS1988 %>%  
   filter(parttime=="no") %>%
   filter(experience > 10) %>%
   ggplot(aes(x=education, y=wage , col=ethnicity)) + geom_point()
 
 
 hist(education)
 
 
 
 CPS1988 %>%  
   filter(parttime=="no") %>%
   filter(experience > 10) %>%
   filter(education > 12) %>%
   ggplot(aes(x=education, y=wage , col=ethnicity)) + geom_point()

 
 
# CPS1988 %>%  
 #  filter(parttime=="no") %>%
  # filter(experience > 10) %>%
   #filter(education > 12) %>%
   #ggplot(aes(x=education, y=mean(wage) , col=ethnicity)) + geom_point()
 
 

  
 detach(CPS1988)
 
 
 
 
 #If no other transformation is required: I() can be used, it returns its argument “as is”
 reg1 <- lm(log(wage) ~ experience + I(experience^2) +
              education + ethnicity, data = CPS1988)
 
 summary(reg1)
 
 
 
 # CLEAN UP #################################################
 
 # Clear plots
 dev.off()  # But only if there IS a plot
 
 # Clear environment
 rm(list = ls()) 
 
 # Clear packages
 p_unload(all)  # Remove all add-ons
 
 # Clear console
 cat("\014")  # ctrl+L
 
 