#
#  Course Introduction to programming: Application of R
#  Yeganeh Forouheshfar
#
#  sujet: importation des donnée de Excel, text ou csv
#------------------------------


# setting the working directory:
setwd("~/Desktop/TRIS Dashboard/XXX") #-----Or directly go to session -> set working directory

# 1er option: utilisation de "read.cvs"
?read.csv
dataA <- read.csv("DATA_IMPORT_TEST.csv", header = T)
dataA <- read.csv(file.choose(), header = TRUE)



dataB <- read.table("DATA_IMPORT_TEST.txt" ,header = TRUE)
# This command only works with missing data by specifying the separator: 
# \t is for tabs, sep = "," for commas. R converts missing to "NA"
dataB <- read.table("DATA_IMPORT_TEST.txt", 
                     header = TRUE, 
                     sep = "\t")
dataB <- read.table(file.choose(), 
                    header = TRUE, 
                    sep = "\t")


dataB
dataB$Var1



#------
# 2ème option: Très facile, utilisation du package "rio":

# On utilise pacman pour télécharger/ouvrir les packages souhaités, 
#ce commande installe rio si ce n'est pas déjà le cas
pacman::p_load(pacman, rio) 


data1 <- import(file.choose()) # pour parcourir dans l'ordi et choisir le fichier
data2 <- import("DATA_IMPORT_TEST.xlsx") # renseigner directement l'emplacement du fichier
data3 <- import("DATA_IMPORT_TEST.txt") # text file
data4 <- import("DATA_IMPORT_TEST.csv") # csv file


head(data2) #voir les première lignes


typeof(data2$Var1)
typeof(data2$Var2)
typeof(data2$Var3)
typeof(data2$var4)


?View
View(data1) # to view your data (attention: R is case sensetive) 
            # or click on the table icon nect to dataset


#  pour changement d'étiquettes on utilise la fonction names
print (data1)
names(data1) <- c('id','variable1', 'variable2', 'variable3', 'variable4')
print (data1)


# CLEAN UP 

# Clear packages
p_unload(all) 

# Clear environment
rm(list = ls()) 

# Clear console
cat("\014")  # ctrl+L





